Middle-earth API

List members

GET/members

Returns the members of a fellowship, newest first.

Request

Query parameters

  • race string <Race>

    Only return members of this race.

    Allowed valueshobbitelfdwarfmanwizard

  • limit integer

    Maximum number of members to return.

    Default20

  • cursor string

    Opaque cursor from a previous response's next_cursor.

Example request

cURL
curl -X GET 'https://api.middle-earth.example/v3/members'

Response

A page of members.

Body

  • data array of objects <Member> Required

  • has_more boolean Required

  • next_cursor string

Example response

application/json

Json
{
  "data": [
    {
      "id": "mem_frodo",
      "name": "Frodo Baggins",
      "race": "hobbit",
      "status": "active",
      "skills": [
        "stealth",
        "resolve"
      ],
      "home": {
        "name": "The Shire",
        "settlement": "Bag End"
      },
      "created_at": "3018-09-23T09:00:00Z"
    }
  ],
  "has_more": true,
  "next_cursor": "cur_samwise"
}